下载证明文件
curl --request GET \
--url https://api.stage.localpayment.com/api/entity/v1/proofs/{proofId}/file \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stage.localpayment.com/api/entity/v1/proofs/{proofId}/file"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stage.localpayment.com/api/entity/v1/proofs/{proofId}/file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.localpayment.com/api/entity/v1/proofs/{proofId}/file",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stage.localpayment.com/api/entity/v1/proofs/{proofId}/file"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stage.localpayment.com/api/entity/v1/proofs/{proofId}/file")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.localpayment.com/api/entity/v1/proofs/{proofId}/file")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"type": "about:blank",
"title": "Validation error",
"status": 400,
"detail": "A field, header, path or query parameter is missing, unknown or invalid. details[] lists field and issue.",
"instance": "/api/entity/v1/proofs/2c4c2f74-7179-4113-83fb-f11dbce9e07d/file",
"code": "VALIDATION_ERROR",
"correlationId": "0e8f6a2c-5b3d-4c1e-9a7f-6d5e4c3b2a10",
"details": [
{
"field": "externalId",
"issue": "REQUIRED"
}
]
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "Missing or invalid access token.",
"instance": "/api/entity/v1/proofs/2c4c2f74-7179-4113-83fb-f11dbce9e07d/file",
"code": "UNAUTHORIZED",
"correlationId": "0e8f6a2c-5b3d-4c1e-9a7f-6d5e4c3b2a10",
"details": []
}{
"type": "about:blank",
"title": "Not found",
"status": 404,
"detail": "The proof does not exist or belongs to another merchant.",
"instance": "/api/entity/v1/proofs/2c4c2f74-7179-4113-83fb-f11dbce9e07d/file",
"code": "PROOF_NOT_FOUND",
"correlationId": "0e8f6a2c-5b3d-4c1e-9a7f-6d5e4c3b2a10",
"details": []
}证明材料
下载凭证文件
GET
/
api
/
entity
/
v1
/
proofs
/
{proofId}
/
file
下载证明文件
curl --request GET \
--url https://api.stage.localpayment.com/api/entity/v1/proofs/{proofId}/file \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stage.localpayment.com/api/entity/v1/proofs/{proofId}/file"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stage.localpayment.com/api/entity/v1/proofs/{proofId}/file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.localpayment.com/api/entity/v1/proofs/{proofId}/file",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stage.localpayment.com/api/entity/v1/proofs/{proofId}/file"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stage.localpayment.com/api/entity/v1/proofs/{proofId}/file")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.localpayment.com/api/entity/v1/proofs/{proofId}/file")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"type": "about:blank",
"title": "Validation error",
"status": 400,
"detail": "A field, header, path or query parameter is missing, unknown or invalid. details[] lists field and issue.",
"instance": "/api/entity/v1/proofs/2c4c2f74-7179-4113-83fb-f11dbce9e07d/file",
"code": "VALIDATION_ERROR",
"correlationId": "0e8f6a2c-5b3d-4c1e-9a7f-6d5e4c3b2a10",
"details": [
{
"field": "externalId",
"issue": "REQUIRED"
}
]
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "Missing or invalid access token.",
"instance": "/api/entity/v1/proofs/2c4c2f74-7179-4113-83fb-f11dbce9e07d/file",
"code": "UNAUTHORIZED",
"correlationId": "0e8f6a2c-5b3d-4c1e-9a7f-6d5e4c3b2a10",
"details": []
}{
"type": "about:blank",
"title": "Not found",
"status": 404,
"detail": "The proof does not exist or belongs to another merchant.",
"instance": "/api/entity/v1/proofs/2c4c2f74-7179-4113-83fb-f11dbce9e07d/file",
"code": "PROOF_NOT_FOUND",
"correlationId": "0e8f6a2c-5b3d-4c1e-9a7f-6d5e4c3b2a10",
"details": []
}重定向到文件的签名 URL。便于浏览器和会跟随重定向的 HTTP 客户端使用。
- 请勿将签名 URL 转发给第三方;在其过期之前,它会授予对该文件的访问权限。
code 的 application/problem+json。完整目录:实体状态和错误代码。授权
请求头
响应
已找到。无响应正文。请跟随 Location 标头。
最后修改于 2026年11月10日

